// JavaScript Document




function list_carga(tabla,list_cod,list_desc)
{
	
// console.log('*****'+list_cod);
	document.getElementById('lista_temporal_contenedor').style.display='block';
		
		document.getElementById('lista_cargador').style.display='block';
		codigo=document.getElementById(list_cod).value;
		var tipo='numerico';
		var filtro=/^\d*$/;
		
		if(filtro.test(codigo))
 		{
			tipo='numerico';
		}
		
		filtro = /^[a-zA-Z]*$/;
		
		if(filtro.test(codigo))
 		{
			tipo='texto';
		}
		 
		filtro=/[\w-\.]{3,}@([\w-]{2,}\.)*([\w-]{2,}\.)[\w-]{2,4}/; 
		
		if(filtro.test(codigo))
 		{
			tipo='email';
		}

		if(document.getElementById('docu'))
		{
			docu=document.getElementById('docu').value;
		}
		
		$.ajax({
		cache:true,
		url:'../lib/lista_maesc.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{docu:docu,tabla:tabla,codigo:codigo,list_cod:list_cod,list_desc:list_desc,tipo:tipo}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			document.getElementById('lista_temporal').innerHTML=dato;
			
			document.getElementById('lista_cargador').style.display='none';
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              
			  document.getElementById('lista_temporal').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
              document.getElementById('lista_temporal').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('lista_temporal').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('lista_temporal').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('lista_temporal').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('lista_temporal').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('lista_temporal').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			document.getElementById('lista_temporal').style.display='block';
			
			if(textStatus==='success')
	        {
				
			}           
		},
		timeout:90000
	});

}

function list_filabg(indf)
{
	console.log(indf);
	for(i=0;i<=document.getElementsByClassName('list_filax').length-1;i++)
	{
		document.getElementsByClassName('list_filax').item(i).style.background='#fff';

	}

	document.getElementById('list_fila'+indf).style.background='#eee';

}

function list_agrega(l_ind,l_cod,l_des,l_tipo)
{
	if(!document.getElementById('tablita'))
	{
		return false;
	}
	var codigo=document.getElementById('tablita').tBodies[0].rows[l_ind].cells[1].innerHTML;
	var descri=document.getElementById('tablita').tBodies[0].rows[l_ind].cells[2].innerHTML;
	//if(e.keyCode==13)
	//{
		
		if(document.getElementById(l_cod))
		{
			document.getElementById(l_cod).value=codigo;
			document.getElementById(l_cod).innerHTML=codigo;
			document.getElementById(l_cod).focus();
		}
		
		if(document.getElementById(l_des))
		{
			document.getElementById(l_des).value=descri;
			document.getElementById(l_des).innerHTML=descri;

		}
		
		if(document.getElementById('docu').value=='FC10')
		{
			if(document.getElementById('puni'))
			{
				document.getElementById('puni').value=document.getElementById('tablita').tBodies[0].rows[l_ind].cells[3].innerHTML;
			}

			if(document.getElementById('ice'))
			{
				document.getElementById('ice').value=document.getElementById('tablita').tBodies[0].rows[l_ind].cells[4].innerHTML;
			}

			if(document.getElementById('dcto'))
			{
				document.getElementById('dcto').value=document.getElementById('tablita').tBodies[0].rows[l_ind].cells[5].innerHTML;
			}

			if(document.getElementById('iva'))
			{
				document.getElementById('iva').value=document.getElementById('tablita').tBodies[0].rows[l_ind].cells[6].innerHTML;
			}

			if(document.getElementById('irbp'))
			{
				document.getElementById('irbp').value=document.getElementById('tablita').tBodies[0].rows[l_ind].cells[7].innerHTML;
			}


		}
		console.log(l_ind);
		console.log(l_cod);
		console.log(l_des);
		
		document.getElementById('lista_temporal_contenedor').style.display='none';
		document.getElementById('lista_temporal').style.display='none';
		document.getElementById('lista_temporal').innerHTML='';
		
		//document.getElementById('lista_temporal').innerHTML='<img src="../img/ajax-loader.gif" />';

	//}
}
;